GNU bug report logs - #6615
document how to specify the current filename in Local Variables

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: jidanni@HIDDEN; merged with #29451, #34130; dated Mon, 12 Jul 2010 04:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 6615 29451 34130. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 6615 29451. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2010 04:20:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:20:16 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OYAV6-0003za-1N
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2010 00:20:16 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jidanni@HIDDEN>) id 1OYAV3-0003zV-Qr
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2010 00:20:14 -0400
Received: from lists.gnu.org ([199.232.76.165]:40105)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <jidanni@HIDDEN>) id 1OYAV5-0006T2-QV
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2010 00:20:15 -0400
Received: from [140.186.70.92] (port=34173 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OYAV4-0005rq-Bn
	for bug-gnu-emacs@HIDDEN; Mon, 12 Jul 2010 00:20:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <jidanni@HIDDEN>) id 1OYAV3-0000v4-35
	for bug-gnu-emacs@HIDDEN; Mon, 12 Jul 2010 00:20:14 -0400
Received: from mailbigip.dreamhost.com ([208.97.132.5]:53544
	helo=homiemail-a60.g.dreamhost.com)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jidanni@HIDDEN>) id 1OYAV2-0000ur-Va
	for bug-gnu-emacs@HIDDEN; Mon, 12 Jul 2010 00:20:13 -0400
Received: from homiemail-a60.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a60.g.dreamhost.com (Postfix) with ESMTP id 438903BC06A
	for <bug-gnu-emacs@HIDDEN>; Sun, 11 Jul 2010 21:20:11 -0700 (PDT)
DomainKey-Signature: a=rsa-sha1; c=nofws; d=jidanni.org; h=from:to:subject
	:date:message-id:mime-version:content-type; q=dns; s=jidanni.org
	; b=UovRmp/04KD2bDtce+XgZqU1HOSs+x8gCFo6SvwCTcRf77MrQcsc2QqQ0K+r
	p6KSv/RVVrRV5OeF6BQ6aU54o07Li4aIUfVwBCqgYYiZKBI7F/QLye4wIQWWjhtW
	ZxrXD6ATPhyTwJYheUB41QljIEkDQOtyzqMnReR4DXCVmVA=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
	:subject:date:message-id:mime-version:content-type; s=
	jidanni.org; bh=ilprugqNBSCseiWHbgZbNs2fIW8=; b=S3WTvVrqEB5XG1Eq
	BnfnYfbiqwA5psFc+Re/NRCymYlv6lJ/av+Ve3r6kcGzl99qz5reI2g57b91nWF7
	HN7I9RWhoR4WWDfNaW6lmUQtfU2c7RpHaAKh+lmI1cpUD3jTYF2Dmb/5rK0jEnCp
	jbBfsPLNR4ijhtbgaZRI97dez4o=
Received: from jidanni.org (220-140-124-26.dynamic.hinet.net [220.140.124.26])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a60.g.dreamhost.com (Postfix) with ESMTPSA id 05D383BC069
	for <bug-gnu-emacs@HIDDEN>; Sun, 11 Jul 2010 21:20:11 -0700 (PDT)
From: jidanni@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: document how to specify the current filename in Local Variables
Date: Mon, 12 Jul 2010 12:19:47 +0800
Message-ID: <87iq4ljpr0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

(info "(emacs) Specifying File Variables")
(info "(emacs) Safe File Variables")
Should say how to do
http://permalink.gmane.org/gmane.emacs.bugs/8844
correctly, and why there IS NO WAY to specify the current filename,
without a big hassle, even though there is just as much risk as if one
hardwired it into the file.




Acknowledgement sent to jidanni@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6615; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 19 Jan 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.